Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class HBoxFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ComponentFactory
                  groovy.swing.factory.HBoxFactory

    class HBoxFactory
    extends ComponentFactory

Field Summary

Fields inherited from class BeanFactory
leaf

Constructor Summary
`HBoxFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class ComponentFactory
setChild

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### HBoxFactory

    HBoxFactory()

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.